Quassel IRC - Feature #864

Ability to retake nick
11/26/2009 10:34 AM - McoreD

Status: Confirmed Start date: 11/26/2009
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel Client Estimated time: 0.00 hour

Target version:
0S: Any

Description

When there is a internet disconnection and the router connects to the internet again, the core attempts to reconnect to the IRC
servers. This is fine.

| have two nicks: McoreD and LionMike with McoreD as primary. At any given time, | would like McoreD as the nick in IRC.

Sometimes McoreD would still remain in the IRC server until the server detects the timeout. In this situation, the Quassel client will
join to the IRC Server as LionMike. This is fine also.

My request is an option or to automatically retake McoreD (primary nick) when that nick finally quits the server.

Thanks.

Related issues:
Has duplicate Quassel IRC - Feature #718: regain primary nick when free again Closed 06/06/2009

History

#1 - 03/03/2010 07:22 PM - johu
- Target version changed from 0.5.2 to 0.7.0

#2 - 03/08/2010 02:21 PM - Sputnick
- Assignee deleted (Sputnick)

#3 - 03/08/2010 02:22 PM - Sputnick
- Target version deleted (0.7.0)

#4 - 03/08/2010 02:23 PM - Sputnick

- Status changed from New to Confirmed

This will most probably be implemented as a script, not as part of the native client.
